Debian Bug report logs - #566102
os-prober: wrong initrd on extended partitions

version graph

Package: os-prober; Maintainer for os-prober is Debian Install System Team <debian-boot@lists.debian.org>; Source for os-prober is src:os-prober.

Reported by: Marc Glisse <marc.glisse@normalesup.org>

Date: Thu, 21 Jan 2010 09:51:02 UTC

Severity: normal

Found in version os-prober/1.35

Fixed in version os-prober/1.53

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#566102; Package os-prober. (Thu, 21 Jan 2010 09:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Glisse <marc.glisse@normalesup.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 21 Jan 2010 09:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Glisse <marc.glisse@normalesup.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: os-prober: wrong initrd on extended partitions
Date: Thu, 21 Jan 2010 10:45:58 +0100
Package: os-prober
Version: 1.35
Severity: normal

I have a mandriva installation in a partition inside an extended
partition. Everything seems to work fine, except for initrd, where I end
up in grub.cfg with:

        initrd (hd0,5)/boot/initrd.img

root is (hd0,6), and if I remove this (hd0,5) things work fine, but as
it is the OS won't boot.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages os-prober depends on:
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries

os-prober recommends no packages.

os-prober suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#566102; Package os-prober. (Tue, 12 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to françois <francois.jaouen@laposte.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 12 Oct 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 566102@bugs.debian.org (full text, mbox):

From: françois <francois.jaouen@laposte.net>
To: 566102@bugs.debian.org
Subject: same on os-prober 1.39. Patch proposed
Date: Tue, 12 Oct 2010 10:43:24 +0200
[Message part 1 (text/plain, inline)]
I encounter exactly the same problem on my computer.
fdisk -l :
Périphérique Amorce  Début        Fin      Blocs     Id  Système
/dev/sda1               1       12748   102398278+  83  Linux
/dev/sda2   *       65071       65077       56227+   7  HPFS/NTFS
/dev/sda3           65078       77825   102398310    7  HPFS/NTFS
/dev/sda4           12749       65070   420275835+   5  Etendue
/dev/sda5           12749       13270     4192933+  82  Linux swap / Solaris
/dev/sda6           13271       62639   396551758   83  Linux
/dev/sda7           62639       63855     9764864   83  Linux
/dev/sda8           63856       64462     4875696   83  Linux
/dev/sda9           64463       65069     4875696   83  Linux

I've tracked down the os-prober whole process and found a correction in 40grub. 
Diff patch :
% diff -up 40grub.orig 40grub
--- 40grub.orig	2010-10-12 10:05:27.546701985 +0200
+++ 40grub	2010-10-12 10:01:56.962701915 +0200
@@ -62,7 +62,7 @@ parse_grub_menu () {
 				fi
 			;;
 			initrd)
-				initrd="$2"
+				initrd="$(echo "$2" | sed 's/(.*)//')"
 				# Initrd same.
 				if [ "$partition" != "$bootpart" ]; then
 					initrd="/boot$initrd"

I also attach the whole patched 40grub.

Cheers
farfouille


[40grub (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#566102; Package os-prober. (Mon, 30 Apr 2012 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to zen25000@zen.co.uk:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 30 Apr 2012 22:33:02 GMT) Full text and rfc822 format available.

Message #15 received at 566102@bugs.debian.org (full text, mbox):

From: Barry Jackson <zen25000@zen.co.uk>
To: 566102@bugs.debian.org
Subject: Bug 566102 proposed patch
Date: Mon, 30 Apr 2012 23:29:38 +0100
[Message part 1 (text/plain, inline)]
I have been suffering this issue in Mageia 2 using os-prober 1.52 and 
grub2 trunk.
The patch in the bug report seems to be missing in 
linux-boot-probes/mounted/x86/40grub

The attached patch (also below) fixes the problem for me in Mageia 2.

--- linux-boot-probes/mounted/x86/40grub~	2012-04-30 22:56:05.967611349 
+0100
+++ linux-boot-probes/mounted/x86/40grub	2012-04-30 22:56:06.026619052 +0100
@@ -64,7 +64,7 @@
 				fi
 			;;
 			initrd)
-				initrd="$2"
+				initrd="$(echo "$2" | sed 's/(.*)//')"
 				# Initrd same.
 				if [ "$partition" != "$bootpart" ]; then
 					initrd="/boot$initrd"

Please include this in future versions if it has no side effects,
Thanks,
Barry
[os-prober-1.52-mga-fix_mga_intrd-40grub.patch (text/plain, attachment)]

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Tue, 08 May 2012 10:09:03 GMT) Full text and rfc822 format available.

Notification sent to Marc Glisse <marc.glisse@normalesup.org>:
Bug acknowledged by developer. (Tue, 08 May 2012 10:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 566102-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 566102-close@bugs.debian.org
Subject: Bug#566102: fixed in os-prober 1.53
Date: Tue, 08 May 2012 10:04:14 +0000
Source: os-prober
Source-Version: 1.53

We believe that the bug you reported is fixed in the latest version of
os-prober, which is due to be installed in the Debian FTP archive:

os-prober-udeb_1.53_i386.udeb
  to main/o/os-prober/os-prober-udeb_1.53_i386.udeb
os-prober_1.53.dsc
  to main/o/os-prober/os-prober_1.53.dsc
os-prober_1.53.tar.gz
  to main/o/os-prober/os-prober_1.53.tar.gz
os-prober_1.53_i386.deb
  to main/o/os-prober/os-prober_1.53_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566102@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated os-prober package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 May 2012 22:37:20 +0200
Source: os-prober
Binary: os-prober-udeb os-prober
Architecture: source i386
Version: 1.53
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 os-prober  - utility to detect other OSes on a set of drives
 os-prober-udeb - utility to detect other OSes on a set of drives (udeb)
Closes: 566102
Changes: 
 os-prober (1.53) unstable; urgency=low
 .
   * Team upload
   * Use Package-Type instead of deprecated XC-Package-Type
     for os-prober-udeb
   * Add ${misc:Depends} to udeb dependencies
   * Link to explicit GPL-2 document in debian/copyright
   * sed off (hdn,n) from the front of an initrd path,
     as seen in Mandriva/Mageia grub configs.
     Thanks to François Jaouen and Barry Jackson for the patch
     Closes: #566102
Checksums-Sha1: 
 84dcf918feae1b7e4c9d3897f100eee971cd38f2 1643 os-prober_1.53.dsc
 4bbc6b755d0fd98f407bf56488d27965554c181d 26132 os-prober_1.53.tar.gz
 fd4d781838797c8f833fc9c3cec11c3e3f1bcd57 13904 os-prober-udeb_1.53_i386.udeb
 57f8cb354527361148615adc8064dff9fe696c38 28146 os-prober_1.53_i386.deb
Checksums-Sha256: 
 27d7dbfe69c86866fcd6edd350978dd73e5b3bf1f1cddccbe4c43461e5bd31d4 1643 os-prober_1.53.dsc
 58c47274b8e531fdc8b525fa5903885b92dbc3ee39bf13dd87e40336703a58c2 26132 os-prober_1.53.tar.gz
 292ed8789e5b5196542083a9be356965ebc22271f162c6ea60ffad85c5b0686e 13904 os-prober-udeb_1.53_i386.udeb
 3cd692282473945b1727334a1470579a3cff8c79271ecc87fc94682a8826d5d6 28146 os-prober_1.53_i386.deb
Files: 
 73ec2a54ba21b95b42c52f07b722c739 1643 debian-installer optional os-prober_1.53.dsc
 1435131b60b078a2a8301df3237a6829 26132 debian-installer optional os-prober_1.53.tar.gz
 f32d31acc979e0de30f60c786f2bec51 13904 debian-installer optional os-prober-udeb_1.53_i386.udeb
 a06cc03c33338e9113521d9985b3a4fc 28146 utils extra os-prober_1.53_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT6jP/YcvcCxNbiWoAQJJXw//fI7GULkuvLuHQCmYwsF2Dz7UgNUubOu7
Jl8vm5wT6Z/ZzifmuV6TZFZX9bESmudV75dIEP9+ZufCfN/w9CaI/VeXTHu/UzAd
tKzKYKaMR92knhaBC2TMPjsHq0SeFCLtmKeZZ+IpOhAayVw5oeI4YJ742kR9613O
ceWEUASjFhHCS44pbSkhwstzSiYxOEIKt+7cDuHfyF20sZop88lY4KcZl8Yu5fdR
KzJxnD+HGuOGQFacHXJ/J8seceBwgFqYM0mlRdlhHH8McqtFxdCXnjTR23H7avoH
6VceNRGiDi5MHwBIjtdZmPMQ5LnumYCR4YX2AhXgTHVJGEJN4kQuofXj8SRe7KnP
A7/qo6VMoq0bVsG+Y9FJGBXEwo710Ku/JmkfvNv37zzkKNgEsFquHsJzQBbsgeYo
eW7kj9iJBi2ElDTqxyhynrb/DSPbGSxTQVoyykF0Sp5iE6EPgHpLdfU+UmH1oKyB
TF9DFLaM3yo+MwOPjave5iI+akdSeo/spy0XMlJ5cEOBzgCqyfg3v7iVu/NQVYvv
Ki3v8eMCjCDP3i0QcJTJ6sPfMdAGjDqdpy3dZv9nPKd70ReOvyExbZD0Ofz/KwEX
aKgw+6QLUu/KNetoodx34j8WaHtln6ekH+U+/p2eYRn1d32+xrYEfHIkY/KjIGCP
mX1y0eKavzk=
=BKL0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 16 Jun 2012 07:32:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:15:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.